import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { DashboardComponent } from './dashboard/dashboard.component';
import { UebersichtComponent } from './uebersicht/uebersicht.component';
import { StartseiteComponent } from './startseite/startseite.component';
import { KalendarComponent } from './kalendar/kalendar.component';
import { ZeiterfassungComponent } from './zeiterfassung/zeiterfassung.component';
import { BErichteComponent } from './berichte/berichte.component';
import { ProjekteComponent } from './projekte/projekte.component';
import { AbwesenheitComponent } from './abwesenheit/abwesenheit.component';
import { LoginComponent } from './login/login.component';
import { AuthguardGuard } from './authguard.guard';

const routes: Routes = [
  {path: '', redirectTo: 'login', pathMatch: 'full'},
  { path: 'dashboard', component: DashboardComponent,canActivate: [AuthguardGuard] },
  { path: 'uebersicht', component: UebersichtComponent },
  { path: 'startseite', component: StartseiteComponent },
  { path: 'kalendar', component: KalendarComponent},
  { path: 'zeiterfassung', component: ZeiterfassungComponent},
  { path: 'bericht', component: BErichteComponent},
  { path: 'projekte', component: ProjekteComponent},
  { path: 'abwesenheit', component: AbwesenheitComponent},
  { path: 'login', component: LoginComponent },

];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }