import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule } from '@angular/common/http';
import {FormsModule,ReactiveFormsModule } from '@angular/forms';


import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { DashboardComponent } from './dashboard/dashboard.component';
import { LoginComponent } from './login/login.component';

import { NgbModule } from '@ng-bootstrap/ng-bootstrap';

import { KalendarComponent } from './kalendar/kalendar.component';
import { ZeiterfassungComponent } from './zeiterfassung/zeiterfassung.component';
import { AbwesenheitComponent } from './abwesenheit/abwesenheit.component';
import { ProjekteComponent } from './projekte/projekte.component';
import { BErichteComponent } from './berichte/berichte.component';
import { UebersichtComponent } from './uebersicht/uebersicht.component';
import { StartseiteComponent } from './startseite/startseite.component';
import { CalendarModule, DateAdapter } from 'angular-calendar';
//import { FormsModule } from '@angular/forms';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { adapterFactory } from 'angular-calendar/date-adapters/date-fns';
import { CommonModule } from '@angular/common';
import { LogoutComponent } from './logout/logout.component';





@NgModule({
  declarations: [
    AppComponent,
    DashboardComponent,
    LoginComponent,
    KalendarComponent,
    ZeiterfassungComponent,
    AbwesenheitComponent,
    ProjekteComponent,
    BErichteComponent,
    UebersichtComponent,
    StartseiteComponent,
    LogoutComponent,
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    FormsModule,
    ReactiveFormsModule,
    AppRoutingModule,
    CalendarModule.forRoot({ provide: DateAdapter, useFactory: adapterFactory })
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
