import { Component, OnInit } from '@angular/core';
import { ZeiterfassungService } from './zeiterfassung.service';
import { ZeiterfassungAttribute } from './zeiterfassungAttribute';
@Component({
  selector: 'app-zeiterfassung',
  templateUrl: './zeiterfassung.component.html',
  styleUrls: ['./zeiterfassung.component.css']
})

export class ZeiterfassungComponent implements OnInit {
  zerfAttr:  ZeiterfassungAttribute[];
  selectedZerf:  ZeiterfassungAttribute  = { mitarbeiter : null , arbeitsbereich: null, start : null, ende:null, tag:null, id:null};

  constructor(private apiService: ZeiterfassungService) { }
  createOrUpdatePolicy(form){
    if(this.selectedZerf && this.selectedZerf.id){
      form.value.id = this.selectedZerf.id;
      this.apiService.updateZeiterfassung(form.value).subscribe((zerf: ZeiterfassungAttribute)=>{
        console.log("Policy updated" , zerf);
      });
    }
    else{

      this.apiService.createZeiterfassung(form.value).subscribe((zerf: ZeiterfassungAttribute)=>{
        console.log("Policy created, ", zerf);
      });
    }

  }

  selectPolicy(zerf: ZeiterfassungAttribute){
    this.selectedZerf = zerf;
  }

  deletePolicy(id){
    this.apiService.deleteZeiterfassung(id).subscribe((zerf: ZeiterfassungAttribute)=>{
      console.log("Policy deleted, ", zerf);
    });
  }
  ngOnInit() {
    
    this.apiService.readZeiterfassung().subscribe((zerfArr: ZeiterfassungAttribute[])=>{
      
    this.zerfAttr = zerfArr;
    console.log(this.zerfAttr);
    
    })

  }
}
