import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ZeiterfassungAttribute } from './zeiterfassungAttribute';

@Injectable({
  providedIn: 'root'
})
export class ZeiterfassungService {

  PHP_API_SERVER = "http://127.0.0.1:8080";

  constructor(private httpClient: HttpClient) { }

  readZeiterfassung(): Observable<ZeiterfassungAttribute[]>{
    return this.httpClient.get<ZeiterfassungAttribute[]>(`${this.PHP_API_SERVER}/zeiterfassung/showTimes.php`);
  }

  createZeiterfassung(policy: ZeiterfassungAttribute): Observable<ZeiterfassungAttribute>{
    return this.httpClient.post<ZeiterfassungAttribute>(`${this.PHP_API_SERVER}/zeiterfassung/addNewTime.php`, policy);
  }

  updateZeiterfassung(policy: ZeiterfassungAttribute){
    return this.httpClient.put<ZeiterfassungAttribute>(`${this.PHP_API_SERVER}/zeiterfassung/updateTime.php`, policy);   
  }

   deleteZeiterfassung(id: number){
    return this.httpClient.delete<ZeiterfassungAttribute>(`${this.PHP_API_SERVER}/api/delete.php/?id=${id}`);
  }
}
